<?php
/**
 * The template for displaying home page.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package VW Writer Blog
 */

get_header(); ?>

<div class="container">
  <div class="middle-align">
    <?php
        $theme_lay = get_theme_mod( 'vw_writer_blog_theme_options','Right Sidebar');
        if($theme_lay == 'Left Sidebar'){ ?>
        <div class="row">
		<?php if(is_home() && is_front_page()): ?>        	
          <div class="col-md-4 col-sm-4" id="sidebar"><?php dynamic_sidebar('sidebar-home');?></div>
		<?php else: ?>        
 		  <div class="col-md-4 col-sm-4" id="sidebar"><?php dynamic_sidebar('sidebar-1');?></div>
		<?php endif; ?>
		  
          <div id="our-services" class="services col-md-8 col-sm-8">
                    
            <?php if ( have_posts() ) :
              /* Start the Loop */
                
                while ( have_posts() ) : the_post();

                  get_template_part( 'template-parts/content'); 
                
                endwhile;

                else :

                  get_template_part( 'no-results' ); 

                endif; 
            ?>
            <div class="navigation">
              <?php
                  // Previous/next page navigation.
                  the_posts_pagination( array(
                      'prev_text'          => __( 'Previous page', 'likhari' ),
                      'next_text'          => __( 'Next page', 'likhari' ),
                      'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'likhari' ) . ' </span>',
                  ) );
              ?>
                <div class="clearfix"></div>
            </div>
          </div>
        </div>
        <div class="clearfix"></div>
    <?php }else if($theme_lay == 'Right Sidebar'){ ?>
        <div class="row">
          <div id="our-services" class="services col-md-8 col-sm-8">
                      
            <?php if ( have_posts() ) :
              /* Start the Loop */
                
                while ( have_posts() ) : the_post();

                  get_template_part( 'template-parts/content'); 
                
                endwhile;

                else :

                  get_template_part( 'no-results' ); 

                endif; 
            ?>
            <div class="navigation">
              <?php
                  // Previous/next page navigation.
                  the_posts_pagination( array(
                      'prev_text'          => __( 'Previous page', 'likhari' ),
                      'next_text'          => __( 'Next page', 'likhari' ),
                      'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'likhari' ) . ' </span>',
                  ) );
              ?>
                <div class="clearfix"></div>
            </div>
          </div>


		<?php if(is_home() && is_front_page()): ?>        	
          <div class="col-md-4 col-sm-4" id="sidebar"><?php dynamic_sidebar('sidebar-home');?></div>
		<?php else: ?>        
 		  <div class="col-md-4 col-sm-4" id="sidebar"><?php dynamic_sidebar('sidebar-1');?></div>
		<?php endif; ?>
                  
        </div>
    <?php }else if($theme_lay == 'One Column'){ ?>
        <div id="our-services" class="services">
                    
          <?php if ( have_posts() ) :
            /* Start the Loop */
              
              while ( have_posts() ) : the_post();

                get_template_part( 'template-parts/content'); 
              
              endwhile;

              else :

                get_template_part( 'no-results' ); 

              endif; 
          ?>
          <div class="navigation">
            <?php
                // Previous/next page navigation.
                the_posts_pagination( array(
                    'prev_text'          => __( 'Previous page', 'likhari' ),
                    'next_text'          => __( 'Next page', 'likhari' ),
                    'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'likhari' ) . ' </span>',
                ) );
            ?>
              <div class="clearfix"></div>
          </div>
        </div>
    <?php }else if($theme_lay == 'Three Columns'){ ?>
        <div class="row">
		<?php if(is_home()): ?>        	
          <div class="col-md-3 col-sm-3" id="sidebar"><?php dynamic_sidebar('sidebar-home');?></div>
		<?php else: ?>        
 		  <div class="col-md-3 col-sm-3" id="sidebar"><?php dynamic_sidebar('sidebar-1');?></div>
		<?php endif; ?>          
          
          <div id="our-services" class="services col-md-6 col-sm-6">
                      
            <?php if ( have_posts() ) :
              /* Start the Loop */
                
                while ( have_posts() ) : the_post();

                  get_template_part( 'template-parts/content'); 
                
                endwhile;

                else :

                  get_template_part( 'no-results' ); 

                endif; 
            ?>
            <div class="navigation">
              <?php
                  // Previous/next page navigation.
                  the_posts_pagination( array(
                      'prev_text'          => __( 'Previous page', 'likhari' ),
                      'next_text'          => __( 'Next page', 'likhari' ),
                      'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'likhari' ) . ' </span>',
                  ) );
              ?>
                <div class="clearfix"></div>
            </div>
          </div>
          <div class="col-md-3 col-sm-3" id="sidebar"><?php dynamic_sidebar('sidebar-2');?></div>
        </div>
    <?php }else if($theme_lay == 'Four Columns'){ ?> 
        <div class="row">
          
		<?php if(is_home()): ?>        	
          <div class="col-md-3 col-sm-3" id="sidebar"><?php dynamic_sidebar('sidebar-home');?></div>
		<?php else: ?>        
 		  <div class="col-md-3 col-sm-3" id="sidebar"><?php dynamic_sidebar('sidebar-1');?></div>
		<?php endif; ?>          
          <div id="our-services" class="services col-md-3 col-sm-3">
                      
            <?php if ( have_posts() ) :
              /* Start the Loop */
                
                while ( have_posts() ) : the_post();

                  get_template_part( 'template-parts/content'); 
                
                endwhile;

                else :

                  get_template_part( 'no-results' ); 

                endif; 
            ?>
            <div class="navigation">
              <?php
                  // Previous/next page navigation.
                  the_posts_pagination( array(
                      'prev_text'          => __( 'Previous page', 'likhari' ),
                      'next_text'          => __( 'Next page', 'likhari' ),
                      'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'likhari' ) . ' </span>',
                  ) );
              ?>
                <div class="clearfix"></div>
            </div>
          </div>
          <div class="col-md-3 col-sm-3" id="sidebar"><?php dynamic_sidebar('sidebar-2');?></div>
          <div class="col-md-3 col-sm-3" id="sidebar"><?php dynamic_sidebar('sidebar-3');?></div>
        </div>
    <?php }else if($theme_lay == 'Grid Layout'){ ?>
        <div class="row">
          <div id="our-services" class="services col-md-9">
            <div class="row">
              <?php if ( have_posts() ) :
                /* Start the Loop */
                  
                  while ( have_posts() ) : the_post();

                    get_template_part( 'template-parts/grid-layout' ); 
                  
                  endwhile;

                  else :

                    get_template_part( 'no-results' ); 

                  endif; 
              ?>
            </div>
            <div class="navigation">
              <?php
                  // Previous/next page navigation.
                  the_posts_pagination( array(
                      'prev_text'          => __( 'Previous page', 'likhari' ),
                      'next_text'          => __( 'Next page', 'likhari' ),
                      'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'likhari' ) . ' </span>',
                  ) );
              ?>
                <div class="clearfix"></div>
            </div>
          </div>
          
		<?php if(is_home()): ?>        	
          <div class="col-md-3" id="sidebar"><?php dynamic_sidebar('sidebar-home');?></div>
		<?php else: ?>        
 		  <div class="col-md-3" id="sidebar"><?php dynamic_sidebar('sidebar-1');?></div>
		<?php endif; ?>
                  
        </div>
    <?php } ?>
    <div class="clearfix"></div>
  </div>
</div>

<?php get_footer(); ?>